#ifndef _TAB_GRASP_H_
#define _TAB_GRASP_H_

#include <poly_runtime.h>

void greedy_degree_sum(struct graph *g, int q, void *extra);
void greedy_degree(struct graph *g, int q, void *extra);
void greedy_in_out_mul(struct graph *g, int q, void *extra);
void greedy_tab_mul(struct graph *g, int q, void *extra);
void greedy_tab_plus(struct graph *g, int q, void *extra);
void greedy_tab_max(struct graph *g, int q, void *extra);

void tab_grasp(struct dep_graph *g, double alpha, int it, int best_asm_rt);

#endif
